
.portfolio main{
    min-height: 650px;
}

.header .logo a img:nth-child(2) {
    display: block;
}

.header .logo a img:first-child {
    display: none;
}

.main-navigation .nav-menu>li>a {
    color: var(--text-color);
}

.menu-submenu::after {
    filter: invert(0);
}

.header .whole-header {
    background-color: #fff;
}

.header .header-main {
    height: 60px;
}

.logo img {
    max-height: 40px;
}

.header.sticky .logo a img:nth-child(2) {
    max-height: 40px;
    min-width: 136px;
}







.portfolio{
    padding-top: 76px;
}

.whole-portfolio{
    margin-bottom: 100px;
}

.portfolio-header main{
    padding: 0;
}

.portfolio-header {
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    width: 189px;
    border-left: 1px solid #000;
}


.each-product{
    width: 100%;
    position: relative;
    margin-bottom: 20px;
}

.portfolio-link{
    width: 100%;
    height: auto;
    display: block;
}


.portfolio-link img{
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.portfolio-container{
    max-width: 100%;
    padding: 0 355px 0 165px;
}


.portfolio-content{
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: 3;
    pointer-events: none;
}

.portfolio-content::before{
    content: "";
    display: block;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    height: 0px;
    background: #fff;
    transition: all .3s ease-in;
    -webkit-transition: all .3s ease-in;
}

.portfolio-text{
    position: relative;
    z-index: 3;
    color: #000;
    font-size: 16px;
    line-height: 26px;
    text-transform: uppercase;
    letter-spacing: .5px;
    font-weight: 500;
    padding: 9px 0 0;
    height: 39px;
    transform: translateY(39px);
    -webkit-transform: translateY(39px);
    -moz-transform: translateY(39px);
    opacity: 0;
    transition: all .3s ease-in;
    -webkit-transition: all .3s ease-in;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.each-product:hover .portfolio-text{
    opacity: 1;
    transform: none;
    -webkit-transform: none;
    -moz-transform: none;
}

.each-product:hover .portfolio-content::before {
    height: 39px;
}

.portfolio-link {
    overflow: hidden;
}

.each-product .portfolio-link img{
    transition: .5s;
}

.each-product:hover .portfolio-link img{
    transform: scale(1.05);
    transition: .5s;
}

.portfolio-text h4{
    font-size: 18px;
}

.portfolio-text span{
    font-size: 15px;
}


.portfolio-header{
    display: flex;
    align-items: flex-start;
    justify-content: center;
    padding-top: 72px;
}

.portfolio-title{
    text-align: right;
    width: 100%;
}

.portfolio-title *{
    color: var(--text-color);
    font-size: 17px;
    font-weight: 600;
}

.each-cat-name a:hover{
    position: relative;
}

.each-cat-name *{
    color: rgba(54, 51, 51, 0.87);
    font-size: 15px;
}

.each-cat-name h3::before{
    content: "";
    display: block;
    position: absolute;
    bottom: -7px;
    right: 0;
    left: 100%;
    height: 1px;
    background: rgba(54, 51, 51, 0.87);
    transition: right .3s ease-in;
    -webkit-transition: right .3s ease-in;
}

.each-cat-name h3{
    display: inline-block;
    position: relative;
}

.each-cat-name a:hover h3::before{
    left: 0 !important;
    -webkit-transition: left .3s ease-in;
}

.each-cat-name.active a h3::before{
    left: 0 !important;
    -webkit-transition: left .3s ease-in;
}

.portfolio-detail{
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 16px;
    padding-inline: 9px;
}

.each-cat-name{
    padding-bottom: 8px;
}



.filter {
    position: fixed;
    z-index: 3;
    right: 218px;
    bottom: 32px;
    font-size: 16px;
    line-height: 26px;
    text-transform: uppercase;
    letter-spacing: .5px;
    font-weight: 500;
    width: 173px;
    min-height: 534px;
}

.image-sizes{
    display: flex;
    align-items: center;
    gap: 20px;
}

.each-size{
    width: 20px;
    height: 20px;
    border: 1px solid #ccc;
    border-radius: 100px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    cursor: pointer;
    position: relative;
    transition: border .3s ease-in;
    -webkit-transition: border .3s ease-in;
    border-color: #bbbbbb;
}

.each-size.active{
    border-color: #000000;
}

.first-size:before {
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 4px;
    height: 4px;
    background: #ccc;
    border-radius: 100px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%,-50%);
    transition: background .3s ease-in;
    -webkit-transition: background .3s ease-in;
    -moz-transition: background .3s ease-in;
}

.first-size.active:before {
    background: #000;
}

.second-size:before {
    content: "";
    display: block;
    position: absolute;
    top: 50%;
    left: 50%;
    width: 8px;
    height: 8px;
    background: #ccc;
    border-radius: 100px;
    -webkit-border-radius: 100px;
    -moz-border-radius: 100px;
    transform: translate(-50%, -50%);
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%,-50%);
    transition: background .3s ease-in;
    -webkit-transition: background .3s ease-in;
    -moz-transition: background .3s ease-in;
}

.second-size.active:before {
    background: #000;
}



.whole-portfolio.small-grids .col-portfolio{
    width: 11.1111%;
    min-width: 11.1111%;
}


.col-portfolio{
    transition:
            width .7s cubic-bezier(.22,1,.36,1),
            min-width .7s cubic-bezier(.22,1,.36,1),
            transform .7s cubic-bezier(.22,1,.36,1);
    padding-inline: 7px;
}

.whole-portfolio.small-grids .col-portfolio .portfolio-text span{
    display: none;
}

.whole-portfolio.small-grids .col-portfolio .portfolio-text h4{
    font-size: 14px;
}

.whole-portfolio.small-grids .col-portfolio .each-product {
    margin-bottom: 0;
    padding-bottom: 0;
    padding-top: 15px;
}




/*responsive*/
/*responsive*/
/*responsive*/
/*responsive*/


@media screen and (max-width: 1399px) {
    .portfolio-container {
        max-width: 100%;
        padding: 0 372px 0 33px;
    }

    .whole-portfolio.small-grids .col-portfolio{
        width: 19.98%;
        min-width: 19.98%;
    }
}

@media screen and (max-width: 1024px){

    .portfolio {
        padding-top: 50px;
    }

    .portfolio-header {
        padding-top: 48px;
    }

    .logo img {
        max-height: 29px;
    }

    .whole-portfolio.small-grids .col-portfolio{
        width: 24.95%;
        min-width: 24.95%;
    }



}


@media screen and (max-width: 1199px){
    .col-portfolio{
        padding-inline: 5px;
    }

    .each-product {
        margin-bottom: 10px;
    }

    .portfolio-container {
        padding: 0 360px 0 29px;
    }
}

@media screen and (max-width: 991px){

    .whole-portfolio.small-grids .col-portfolio{
        width: 50%;
        min-width: 50%;
    }


    .filter {
        display: none;
    }

    .portfolio-content {
        position: relative;
        width: 100%;
    }

    .portfolio-title * {
        font-size: 16px;
    }
    .each-cat-name * {
        font-size: 14px;
    }
    .portfolio-detail {
        gap: 5px;
    }



    .portfolio-text h4 {
        font-size: 16px;
    }

    .portfolio-text span {
        font-size: 13px;
    }

    .col-portfolio {
        padding-inline: 7px;
    }

    .portfolio-content::before {
        height: 39px;
    }

    .each-product .portfolio-text {
        opacity: 1;
        transform: none;
        -webkit-transform: none;
        -moz-transform: none;
    }

    .portfolio-header {
        width: 100%;
        bottom: 0;
        height: 116px;
        top: unset;
        background: #fff;
        z-index: 30;
        border-top: unset;
        border-left: unset;
        padding-top: 10px;
    }

    .portfolio-header {
        position: relative;
    }

    .portfolio-cat{
        display: flex;
        align-items: center;
        justify-content: flex-start;
        gap: 23px;
        overflow: auto;
    }

    .portfolio-detail {
        height: 100%;
        justify-content: center;
        padding-inline: 30px;
    }

    .portfolio-container {
        padding: 0 30px 0 29px;
    }

    .each-cat-name {
        white-space: nowrap;
    }

    .portfolio-cat::-webkit-scrollbar{
        display: none;
    }

    .each-cat-name a:hover h3::before{
        width: 0;
    }

    .each-cat-name.active a h3::before{
        left: 0 !important;
        -webkit-transition: left .3s ease-in;
    }

    .whole-portfolio.small-grids .col-portfolio .portfolio-text span {
        display: block;
    }

    .whole-portfolio.small-grids .col-portfolio .portfolio-text h4 {
        font-size: 12px;
    }


}



@media screen and (max-width: 767px){

    .whole-portfolio.small-grids .col-portfolio .each-product {
        padding-top: 4px;
    }


    .portfolio-text h4 {
        font-size: 11px;
    }

    .portfolio-text span {
        font-size: 10px;
    }

    .whole-portfolio {
        margin-bottom: 43px;
    }

    .portfolio-container {
        padding: 0 10px 0 10px;
    }

    .portfolio-content::before {
        height: 16px;
    }

    .each-product {
        margin-bottom: 0;
        padding-bottom: 0;
        padding-top: 6px;
    }

    .portfolio-text{
        padding: 0px 0 0;
    }

    .each-product {
        gap: 0px;
    }

}

@media screen and (max-width: 575px){

    .portfolio-detail {
        padding-inline: 10px;
    }

    .each-cat-name * {
        font-size: 13px;
    }

    .portfolio-text {
        height: 28px;
    }

    .each-product .portfolio-link img {
        /*vertical-align: baseline;*/
    }

    .each-product:hover .portfolio-content::before {
        height: 30px;
    }



    .portfolio-detail {
        height: 100%;
        justify-content: flex-end;
        padding-inline: 14px;
    }

    .portfolio-cat {
        gap: 19px;
    }

    .portfolio-title * {
        font-size: 14px;
    }

    .each-cat-name * {
        font-size: 13px;
    }

}


/*responsive*/
/*responsive*/
/*responsive*/